Bug 825423 - SELinux is preventing /usr/bin/pads from 'getattr' accesses on the file /proc/<pid>/net/dev.
SELinux is preventing /usr/bin/pads from 'getattr' accesses on the file /proc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:abf952153a23714a54fac9250af...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-26 01:50 EDT by geminic86
Modified: 2012-06-27 23:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 23:27:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description geminic86 2012-05-26 01:50:26 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc16.i686.PAE
time:           Sat 26 May 2012 01:50:10 AM EDT

description:
:SELinux is preventing /usr/bin/pads from 'getattr' accesses on the file /proc/<pid>/net/dev.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that pads should be allowed getattr access on the dev file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep pads /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:pads_t:SystemLow
:Target Context                system_u:object_r:proc_net_t:SystemLow
:Target Objects                /proc/<pid>/net/dev [ file ]
:Source                        pads
:Source Path                   /usr/bin/pads
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           pads-1.2-5.fc15.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-86.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.7-1.fc16.i686.PAE #1 SMP Tue May
:                              22 14:07:22 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Sat 26 May 2012 01:49:39 AM EDT
:Last Seen                     Sat 26 May 2012 01:49:39 AM EDT
:Local ID                      46c04876-e125-48da-a946-37ec7b17919d
:
:Raw Audit Messages
:type=AVC msg=audit(1338011379.381:980): avc:  denied  { getattr } for  pid=10214 comm="pads" path="/proc/10214/net/dev" dev="proc" ino=4026531973 scontext=system_u:system_r:pads_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1338011379.381:980): arch=i386 syscall=fstat64 success=yes exit=0 a0=3 a1=bfa5f100 a2=4cba2ff4 a3=9957c80 items=0 ppid=1 pid=10214 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=pads exe=/usr/bin/pads subj=system_u:system_r:pads_t:s0 key=(null)
:
:Hash: pads,pads_t,proc_net_t,file,getattr
:
:audit2allow
:
:#============= pads_t ==============
:allow pads_t proc_net_t:file getattr;
:
:audit2allow -R
:
:#============= pads_t ==============
:allow pads_t proc_net_t:file getattr;
:
Comment 1 Miroslav Grepl 2012-05-28 02:54:26 EDT
Fixed in selinux-policy-3.10.0-89.fc16
Comment 2 Fedora Update System 2012-06-15 06:31:27 EDT
selinux-policy-3.10.0-89.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-89.fc16
Comment 3 Fedora Update System 2012-06-15 19:52:50 EDT
Package selinux-policy-3.10.0-89.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-89.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9507/selinux-policy-3.10.0-89.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-27 23:27:23 EDT
selinux-policy-3.10.0-89.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.